%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define module  shove

Name:           python-shove
Version:        0.6.3
Release:        1%{?dist}
Summary:        Common object storage frontend

Group:          Development/Languages
License:        BSD
URL:            http://pypi.python.org/pypi/shove/
Source0:        http://pypi.python.org/packages/source/s/%{module}/%{module}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel python-setuptools
Requires:       python-boto
Requires:       python-sqlalchemy

%description
Common object storage frontend that supports dictionary-style access, object
serialization and compression, and multiple storage and caching backends.

Currently supported storage backends are:

        * Amazon S3 Web Service
        * Berkeley Source Database
        * Filesystem
        * Firebird
        * FTP
        * DBM
        * Durus
        * Memory
        * Microsoft SQL Server
        * MySQL
        * Oracle
        * PostgreSQL
        * SQLite
        * Subversion
        * Zope Object Database (ZODB)

Currently supported caching backends are:

        * Filesystem
        * Firebird
        * memcached
        * Memory
        * Microsoft SQL Server
        * MySQL
        * Oracle
        * PostgreSQL
        * SQLite


%prep
%setup -q -n %{module}-%{version}


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/*


%changelog
* Wed Aug 19 2015 Luke Macken <lmacken@redhat.com> - 0.6.3-1
- Updated to 0.6.3 (#781425)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Dec 06 2013 Pierre-Yves Chibon <pingou@pingoured>fr - 0.3.3-6
- Change BR from python-setuptools-devel to python-setuptools
  See https://fedoraproject.org/wiki/Changes/Remove_Python-setuptools-devel

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 14 2011 Luke Macken <lmacken@redhat.com> - 0.3.3-1
- Update to 0.3.3 (#734739)

* Thu Jun 16 2011 Luke Macken <lmacken@redhat.com> - 0.2.5-1
- Update to 0.2.5 (#681829)

* Tue Mar 01 2011 Luke Macken <lmacken@redhat.com> - 0.2.2-1
- Update to 0.2.2
- Update our setup.py patch

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 03 2009 Luke Macken <lmacken@redhat.com> 0.2.1-2
- Add python-setuptools-devel to our BuildRequires, so we generate the egg-info

* Tue Jun 02 2009 Luke Macken <lmacken@redhat.com> 0.2.1-1
- Latest upstream release
- Update the setup.py patch to remove the hard SQLAlchemy dependency,
  as this module works fine with the latest.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 06 2009 Luke Macken <lmacken@redhat.com> 0.1.3-2
- Use consistent macros
- Add comment about patch
- Make rpmlint happy

* Tue Dec 16 2008 Luke Macken <lmacken@redhat.com> 0.1.3-1
- Initial package
